# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |spec|
  spec.name          = 'lita-rubygems-webhooks'
  spec.version       = '0.1'
  spec.authors       = ['Adam Buckland']
  spec.email         = ['adam.buckland@rightscale.com']

  spec.summary       = 'A Lita plugin to register and receive RubyGems webhooks'
  spec.homepage      = 'https://gitlab.com/adambuckland/lita-rubygems-webhooks'
  spec.license       = 'MIT'
  spec.metadata      = { "lita_plugin_type" => "handler" }

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.12'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rubocop', '~> 0.41'
  spec.add_development_dependency 'rack-test', '~> 0.6'
  spec.add_development_dependency 'byebug', '~> 9.0'

  spec.add_runtime_dependency 'lita', '>= 4.7'
  spec.add_runtime_dependency 'gems', '~> 0.8'
end
